This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 231697 - RPM install scripts don't create homedir for torrent user
RPM install scripts don't create homedir for torrent user
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bittorrent (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-09 22:38 EST by Simon Roberts
Modified: 2008-04-10 19:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.4.0-4.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 11:54:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simon Roberts 2007-03-09 22:38:37 EST
Description of problem:
Installed bittorrent package, attempted to start btseed. init script succeeded
but emitted error to log.

Version-Release number of selected component (if applicable):
bittorrent-4.4.0-2.fc6

How reproducible:
100%

Steps to Reproduce:
1. service btseed start
2. cat /var/log/bittorrent/btseed.log
3.
  
Actual results:
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/BitTorrent/platform.py", line 384, in
install_translation
    lang = read_language_file()
  File "/usr/lib/python2.4/site-packages/BitTorrent/platform.py", line 336, in
read_language_file
    lang_file_name = language_path()
  File "/usr/lib/python2.4/site-packages/BitTorrent/platform.py", line 318, in
language_path
    lang_file_name = os.path.join(config_dir, '.bittorrent', 'data', 'language')
  File "/usr/lib64/python2.4/posixpath.py", line 62, in join
    elif path == '' or path.endswith('/'):
AttributeError: 'NoneType' object has no attribute 'endswith'


Expected results:
Clean startup

Additional info:
Problem appears to be because RPM install script doesn't create user "torrent"
homedir, and bt is trying to write something in there.

reinstall scriptlet (using /bin/sh):
/usr/sbin/useradd -r -s /sbin/nologin -d /var/spool/bittorrent \
        -c "BitTorrent Seed/Tracker" torrent &>/dev/null || :

Suggest create/chown the directory - either explicitly, or via -m switch to useradd.
Comment 1 Paul Howarth 2007-03-13 03:48:39 EDT
This should be fixed in bittorrent-4.4.0-4, which has now been released for both
FC-5 and FC-6. The problem had already been fixed in devel.
Comment 2 Bug Zapper 2008-04-04 02:29:32 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Paul Howarth 2008-04-08 11:54:49 EDT
Fixed long ago.
Comment 4 Simon Roberts 2008-04-10 19:57:34 EDT
Yup (I am original submitter)

Note You need to log in before you can comment on or make changes to this bug.